> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Domain Infos (dns, whois, server, ssl)



## OpenAPI

````yaml openapi.json get /api/v1/domain_infos
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/domain_infos:
    get:
      tags:
        - Api
      summary: Domain Infos (dns, whois, server, ssl)
      operationId: index_api_v1_domain_infos
      parameters:
        - $ref: '#/components/parameters/635a108ff96f29e4edb71891d25bff13'
      responses:
        '200':
          $ref: '#/components/responses/d2800781e64b83be2140b03a657891b3'
        '401':
          $ref: '#/components/responses/9a0e62cc049a1ea0c3ad871abf1c9771'
        '403':
          $ref: '#/components/responses/27f76fa1fecef59b89fe96fab9c5d231'
        '422':
          $ref: '#/components/responses/11de6e5367663d31588414e5a98d7977'
        '500':
          $ref: '#/components/responses/6ab6e4454bb0d2651a089ec0ae2541c6'
      security:
        - bearer: []
components:
  parameters:
    635a108ff96f29e4edb71891d25bff13:
      name: domain
      in: query
      description: The domain to check
      required: true
      schema:
        type: string
      style: form
  responses:
    d2800781e64b83be2140b03a657891b3:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/c3bde990034d23b2a722273337242f7a'
    9a0e62cc049a1ea0c3ad871abf1c9771:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    27f76fa1fecef59b89fe96fab9c5d231:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
    11de6e5367663d31588414e5a98d7977:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    6ab6e4454bb0d2651a089ec0ae2541c6:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/435c07a5c6b7754326b753df2f09dae3'
  schemas:
    c3bde990034d23b2a722273337242f7a:
      type: object
      properties:
        data:
          type: object
          properties:
            domain_info:
              type: object
              properties:
                dns:
                  type: object
                  properties:
                    a:
                      type: array
                      items:
                        type: string
                    mx:
                      type: array
                      items:
                        type: string
                    txt:
                      type: array
                      items:
                        type: string
                    cname:
                      type: array
                      items:
                        type: string
                    ns:
                      type: array
                      items:
                        type: string
                whois:
                  type: object
                  properties:
                    domain:
                      type: string
                    registrar:
                      type: string
                    created_on:
                      type: string
                    expires_on:
                      type: string
                    nameservers:
                      type: array
                      items:
                        type: string
                    contact_infos:
                      type: hash
                server:
                  type: object
                  properties:
                    ip:
                      type: string
                    open_ports:
                      type: array
                      items:
                        type: integer
                    https_supported:
                      type: boolean
                    server:
                      type: string
                    response_headers:
                      type: hash
                ssl:
                  type: object
                  properties:
                    subject:
                      type: string
                    issuer:
                      type: string
                    valid_from:
                      type: string
                    valid_until:
                      type: string
                    serial_number:
                      type: string
                    version:
                      type: integer
                    signature_algorithm:
                      type: string
                    public_key_algorithm:
                      type: string
                technology_stack:
                  type: object
                  properties:
                    backend_frameworks:
                      type: array
                      items:
                        type: string
                    cms:
                      type: string
                    frontend_frameworks:
                      type: array
                      items:
                        type: string
                    analytics_cdns:
                      type: array
                      items:
                        type: string
                    js_modules:
                      type: array
                      items:
                        type: string
                    meta_info:
                      type: object
                      properties:
                        viewport:
                          type: string
    ab7f8e96ffb786cb211cda6678d34532:
      type: object
      properties:
        error:
          type: string
    654dac096abf7f8a11eec3e814989da7:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
    435c07a5c6b7754326b753df2f09dae3:
      type: object
      properties:
        status:
          type: integer
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````